Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.sbml._test
Class HtmlStatisticsLogger

    biouml.plugins.sbml._test.DefaultTestLogger
      |
      +--biouml.plugins.sbml._test.HtmlStatisticsLogger

public class HtmlStatisticsLogger
extends DefaultTestLogger

Fields inherited from class biouml.plugins.sbml._test.DefaultTestLogger
`MAX_ERROR_NUMBER, MAX_WARNING_NUMBER`

Constructor Summary
`HtmlStatisticsLogger(String title, List categories, Writer writer)`

Method Summary
`void` | `complete()`
`String` | `getDetailsDir()`
`String` | `getHtmlLinksPrefix()`
`String` | `getSbmlLevel()`
`String` | `getScriptName()`
`String` | `getSimulationEngineName()`
`SimulationResult` | `getSimulationResult()`
`String` | `getTestDir()`
`String` | `readFile(String fileName)`
`void` | `setDetailsDir(String detailsDir)`
`void` | `setHtmlLinksPrefix(String htmlLinksPrefix)`
`void` | `setSbmlLevel(String sbmlLevel)`
`void` | `setScriptName(String scriptName)`
`void` | `setSimulationEngineName(String simulationEngineName)`
`void` | `setSimulationResult(SimulationResult simulationResult)`
`void` | `setTestDir(String testDir)`
`String` | `stripTestName(String fullTestName)`
`String` | `substring(String source, String start, String end)`
`void` | `testCompleted()`

Methods inherited from class biouml.plugins.sbml._test.DefaultTestLogger
`categoryStarted, error, error, getCurrentCategory, getCurrentTest, getException, getMessages, getSimulationTime, getStatus, simulationCompleted, simulationStarted, testStarted, warn`

Constructor Detail

### HtmlStatisticsLogger

    public HtmlStatisticsLogger(String title, List categories, Writer writer)

Method Detail

### complete

    public void complete()

### getDetailsDir

    public String getDetailsDir()

### getHtmlLinksPrefix

    public String getHtmlLinksPrefix()

### getSbmlLevel

    public String getSbmlLevel()

### getScriptName

    public String getScriptName()

### getSimulationEngineName

    public String getSimulationEngineName()

### getSimulationResult

    public SimulationResult getSimulationResult()

### getTestDir

    public String getTestDir()

### readFile

    public String readFile(String fileName)

### setDetailsDir

    public void setDetailsDir(String detailsDir)

### setHtmlLinksPrefix

    public void setHtmlLinksPrefix(String htmlLinksPrefix)

### setSbmlLevel

    public void setSbmlLevel(String sbmlLevel)

### setScriptName

    public void setScriptName(String scriptName)

### setSimulationEngineName

    public void setSimulationEngineName(String simulationEngineName)

### setSimulationResult

    public void setSimulationResult(SimulationResult simulationResult)

### setTestDir

    public void setTestDir(String testDir)

### stripTestName

    public String stripTestName(String fullTestName)

### substring

    public String substring(String source, String start, String end)

### testCompleted

    public void testCompleted()

Association Links

to Class java.lang.String

to Class java.util.List

to Class java.util.List

to Class java.util.Map

to Class java.io.Writer

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class biouml.plugins.simulation.SimulationResult

to Class java.lang.String

to Class java.lang.String

to Class java.util.Map

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM